Get Component Type Schema

Get Component Type Schema

Get the schema for an existing component type by the component type's objectId.

Request
URI
GET
https://{api_host}/composition-service/api/componenttypes/{objectId}/schema
COPY
Path Parameters
string
objectId
Required

The objectId of the component type.


Responses
200

Success - return the component type schema.

Returns Schema of type(s) */*
{
    "fields": [
        {
            "permissibleValues": {
                "customAllowed": false
            },
            "displayAdvice": "string",
            "columns": [
                "Field Object"
            ],
            "dataType": {
                "typeId": "string"
            },
            "isMultiValued": false,
            "description": "string",
            "orderIndex": 0,
            "id": "string",
            "label": "string",
            "state": {
                "dependencies": [
                    "string"
                ],
                "facets": [
                    {}
                ]
            }
        }
    ]
}
array of Field
fields
Optional

fields


403

Forbidden.

Operation doesn't return any data structure

404

Component type not found.

Operation doesn't return any data structure